This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### split()
Examples |
    String men = "Chernenko,Andropov,Brezhnev";
    String[] list = split(men, ',');
    // list[0] is now "Chernenko", list[1] is "Andropov"...
    String numbers = "8 67 5 309";
    int[] nums = int(split(numbers, ' '));
    // nums[0] is now 8, nums[1] is now 67...
    String men = "Chernenko ] Andropov ] Brezhnev";
    String[] list = split(men, " ] ");
    // list[0] is now "Chernenko", list[1] is "Andropov"...
Description | The split() function breaks a String into pieces using a character or string as the delimiter. The delim parameter specifies the character or characters that mark the boundaries between each piece. A String[] array is returned that contains each of the pieces. If the result is a set of numbers, you can convert the String[] array to to a float[] or int[] array using the datatype conversion functions int() and float(). (See the second example above.) The splitTokens() function works in a similar fashion, except that it splits using a range of characters instead of a specific character or sequence.
Syntax |
    split(value, delim)
Parameters |
value | String: the String to be split
delim | char: the character or String used to separate the data
Returns | String[]

Updated on October 26, 2013 08:58:31pm PDT